#version 460 core

layout (location = 0) in vec4 tex_color;
layout (location = 1) in vec2 tex_coord;

out vec4 frag_color;

uniform sampler2D tex;

void main() {
    frag_color = texture(tex, tex_coord) * (vec4(1.0) - tex_color);
}
